<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */

namespace Kufer\KuferTools\Veranstalter\TeilnehmerInfo\Detailsreiter\BelegteKurse\BelegteKurseFilter;

class BelegteKurseFilterController extends \Kufer\KuferTools\Basis\Controller\AjaxToolController
{
  protected function getUseCase(): \Kufer\KuferTools\Basis\UseCase\UseCase
  {
    return new BelegteKurseFilterUseCase(
      $this->getRequestObj()
    );
  }

  protected function getRequestObj()
  {
    $requestObj = new BelegteKurseFilterRequest();
    $requestObj->tnr = \GetOperations::getVarValue('tnr');

    return $requestObj;
  }

  protected function getPresenter($pUseCaseResponse)
  {
    return new BelegteKurseFilterPresenter($pUseCaseResponse);
  }
}